<?php 

/*
Plugin Name: Masjid Iqamah Timings
Plugin URI: http://www.wordpress.com/plugins/masjid-iqamah-timings
Description: A brief description of the Plugin.
Version: 1.0
Author: Azkaar Developers
Author URI: http://www.azkaar.com/projects/wordpress-plugins/masjid-iqamah-timings
License: GPL2
*/


	function register_mit_styles() {
		$siteurl = get_option('siteurl');
		$url = $siteurl . '/wp-content/plugins/' . basename(dirname(__FILE__)) . '/mit-styles.css';
		echo "<link rel='stylesheet' type='text/css' href='$url' />\n";
	}
	add_action('wp_head', 'register_mit_styles');


class wp_masjid_iqamah_timings extends WP_Widget {

    // constructor
    function wp_masjid_iqamah_timings() {
        parent::WP_Widget(false, $name = __('Masjid Iqamah Timings', 'wp_mit_widget') );
    }
	

	// widget form creation
	function form($instance) {

		// Check values
		if( $instance) {
			 $title = esc_attr($instance['title']);
			 $language = esc_attr($instance['language']);
			 $textarea = esc_textarea($instance['textarea']);
			 $fajr = esc_attr($instance['fajr']);
			 $zuhr = esc_attr($instance['zuhr']);
			 $asr = esc_attr($instance['asr']);
			 $maghrib = esc_attr($instance['maghrib']);
			 $isha = esc_attr($instance['isha']);
			 $jumua1 = esc_attr($instance['jumua1']);
			 $jumua2 = esc_attr($instance['jumua2']);
			 $jumua3 = esc_attr($instance['jumua3']);
		} else {
			 $title = '';
			 $language = '';
			 $textarea = '';
			 $fajr = '';
			 $zuhr = '';
			 $asr = '';
			 $maghrib = '';
			 $isha = '';
			 $jumua1 = '';
			 $jumua2 = '';
			 $jumua3 = '';

		}
		?>

		<p>
		<b><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title', 'wp_mit_widget'); ?></label></b>
		<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
		</p>

		<p>
		<b><label for="<?php echo $this->get_field_id('language'); ?>"><?php _e('Language', 'wp_mit_widget'); ?></label></b>
		<select class="widefat" id="<?php echo $this->get_field_id('language'); ?>" name="<?php echo $this->get_field_name('language'); ?>" >
			<option <?php if ($language == "Arabic") echo "selected"; ?>>Arabic</option>
			<option <?php if ($language == "English") echo "selected"; ?>>English</option>
			<option <?php if ($language == "Urdu") echo "selected"; ?>>Urdu</option>
			
			<?php
				/*
				$options = array('Arabic', 'English', 'Urdu');
				foreach ($options as $option) {
					echo '<option value="' . $option . '" id="' . $option . '"', $select == $option ? ' selected="selected"' : '', '>', $option, '</option>';
				}
				*/
			?>
		</select>
		</p>

		<p>
		<b><label for="<?php echo $this->get_field_id('textarea'); ?>"><?php _e('Note', 'wp_mit_widget'); ?></label></b>
		<textarea class="widefat" id="<?php echo $this->get_field_id('textarea'); ?>" name="<?php echo $this->get_field_name('textarea'); ?>"><?php echo $textarea; ?></textarea>
		</p>

		<table>
			<tr>
				<td><b><label for="<?php echo $this->get_field_id('fajr'); ?>"><?php _e('Fajr ', 'wp_mit_widget'); ?></label></b></td>
				<td><input class="widefat" id="<?php echo $this->get_field_id('fajr'); ?>" name="<?php echo $this->get_field_name('fajr'); ?>" type="text" value="<?php echo $fajr; ?>" /></td>
			</tr>
			<tr>
				<td><b><label for="<?php echo $this->get_field_id('zuhr'); ?>"><?php _e('Zuhr ', 'wp_mit_widget'); ?></label></b></td>
				<td><input class="widefat" id="<?php echo $this->get_field_id('zuhr'); ?>" name="<?php echo $this->get_field_name('zuhr'); ?>" type="text" value="<?php echo $zuhr; ?>" /></td>
			</tr>
			<tr>
				<td><b><label for="<?php echo $this->get_field_id('asr'); ?>"><?php _e('Asr ', 'wp_mit_widget'); ?></label></b></td>
				<td><input class="widefat" id="<?php echo $this->get_field_id('asr'); ?>" name="<?php echo $this->get_field_name('asr'); ?>" type="text" value="<?php echo $asr; ?>" /></td>
			</tr>
			<tr>
				<td><b><label for="<?php echo $this->get_field_id('maghrib'); ?>"><?php _e('Maghrib ', 'wp_mit_widget'); ?></label></b></td>
				<td><input class="widefat" id="<?php echo $this->get_field_id('maghrib'); ?>" name="<?php echo $this->get_field_name('maghrib'); ?>" type="text" value="<?php echo $maghrib; ?>" /></td>
			</tr>
			<tr>
				<td><b><label for="<?php echo $this->get_field_id('isha'); ?>"><?php _e('Isha ', 'wp_mit_widget'); ?></label></b></td>
				<td><input class="widefat" id="<?php echo $this->get_field_id('isha'); ?>" name="<?php echo $this->get_field_name('isha'); ?>" type="text" value="<?php echo $isha; ?>" /></td>
			</tr>
			<tr>
				<td><b><label for="<?php echo $this->get_field_id('jumua1'); ?>"><?php _e('Jumua 1 ', 'wp_mit_widget'); ?></label></b></td>
				<td><input class="widefat" id="<?php echo $this->get_field_id('jumua1'); ?>" name="<?php echo $this->get_field_name('jumua1'); ?>" type="text" value="<?php echo $jumua1; ?>" /></td>
			</tr>
			<tr>
				<td><b><label for="<?php echo $this->get_field_id('jumua2'); ?>"><?php _e('Jumua 2 ', 'wp_mit_widget'); ?></label></b></td>
				<td><input class="widefat" id="<?php echo $this->get_field_id('jumua2'); ?>" name="<?php echo $this->get_field_name('jumua2'); ?>" type="text" value="<?php echo $jumua2; ?>" /></td>
			</tr>
			<tr>
				<td><b><label for="<?php echo $this->get_field_id('jumua3'); ?>"><?php _e('Jumua 3 ', 'wp_mit_widget'); ?></label></b></td>
				<td><input class="widefat" id="<?php echo $this->get_field_id('jumua3'); ?>" name="<?php echo $this->get_field_name('jumua3'); ?>" type="text" value="<?php echo $jumua3; ?>" /></td>
			</tr>
		</table>

		<input class="widefat" id="<?php echo $this->get_field_id('last_updated'); ?>" name="<?php echo $this->get_field_name('last_updated'); ?>" type="hidden" value="<?php echo date("Y M d", time()) ?>" />

		<?php
	}
 
	// update widget
	function update($new_instance, $old_instance) {
		$instance = $old_instance;
		// Fields
		$instance['title'] = strip_tags($new_instance['title']);
		$instance['language'] = strip_tags($new_instance['language']);
		$instance['fajr'] = strip_tags($new_instance['fajr']);
		$instance['zuhr'] = strip_tags($new_instance['zuhr']);
		$instance['asr'] = strip_tags($new_instance['asr']);
		$instance['maghrib'] = strip_tags($new_instance['maghrib']);
		$instance['isha'] = strip_tags($new_instance['isha']);
		$instance['jumua1'] = strip_tags($new_instance['jumua1']);
		$instance['jumua2'] = strip_tags($new_instance['jumua2']);
		$instance['jumua3'] = strip_tags($new_instance['jumua3']);
		$instance['textarea'] = strip_tags($new_instance['textarea']);
		$instance['last_updated'] = strip_tags($new_instance['last_updated']);
		return $instance;
	} 

		
	// display widget
	function widget($args, $instance) {
		
		extract( $args );
		// these are the widget options
		$title = apply_filters('widget_title', $instance['title']);
		$language = $instance['language'];
		$fajr = $instance['fajr'];
		$zuhr = $instance['zuhr'];
		$asr = $instance['asr'];
		$maghrib = $instance['maghrib'];
		$isha = $instance['isha'];
		$jumua1 = $instance['jumua1'];
		$jumua2 = $instance['jumua2'];
		$jumua3 = $instance['jumua3'];
		$textarea = $instance['textarea'];
		$last_updated = $instance['last_updated'];
		
		
		$widget_data .= '';
		
		$widget_data .= $before_widget;

		if ( $title ) $widget_data .= $before_title . $title . $after_title;
		if( $textarea ) $widget_data .= '<p class="mit_note">'.$textarea.'</p>';
		
		// Arabic
		if ($language == "Arabic")  {
			$widget_data .= '<table dir="rtl"><tr><th>الصلاة</th><th>الوقت</th></tr>';
			if( $fajr ) $widget_data .= '<tr class="mit_daily"><td class="mit_label">الفجر</td><td class="mit_time">'.$fajr.'</td></tr>';
			if( $zuhr ) $widget_data .= '<tr class="mit_daily"><td class="mit_label">الظهر</td><td class="mit_time">'.$zuhr.'</td></tr>';
			if( $asr ) $widget_data .= '<tr class="mit_daily"><td class="mit_label">العصر</td><td class="mit_time">'.$asr.'</td></tr>';
			if( $maghrib ) $widget_data .= '<tr class="mit_daily"><td class="mit_label">المغرب</td><td class="mit_time">'.$maghrib.'</td></tr>';
			if( $isha ) $widget_data .= '<tr class="mit_daily"><td class="mit_label">العشاء</td><td class="mit_time">'.$isha.'</td></tr>';
			if( $jumua1 ) $widget_data .= '<tr class="mit_jumua"><td class="mit_label">الجمعة ۱</td><td class="mit_time">'.$jumua1.'</td></tr>';
			if( $jumua2 ) $widget_data .= '<tr class="mit_jumua"><td class="mit_label">الجمعة ۲</td><td class="mit_time">'.$jumua2.'</td></tr>';
			if( $jumua3 ) $widget_data .= '<tr class="mit_jumua"><td class="mit_label">الجمعة ۳</td><td class="mit_time">'.$jumua3.'</td></tr>';
			if( $last_updated ) $widget_data .= '<tr><td colspan="2" class="mit_saved">Last saved<br> '.$last_updated.'</td></tr>';
			$widget_data .= '</table>';
		} else if ($language == "Urdu") {
			$widget_data .= '<table dir="rtl"><tr><th>نماز</th><th>وقت</th></tr>';
			if( $fajr ) $widget_data .= '<tr class="mit_daily"><td class="mit_label">فجر</td><td class="mit_time">'.$fajr.'</td></tr>';
			if( $zuhr ) $widget_data .= '<tr class="mit_daily"><td class="mit_label">ظہر</td><td class="mit_time">'.$zuhr.'</td></tr>';
			if( $asr ) $widget_data .= '<tr class="mit_daily"><td class="mit_label">عصر</td><td class="mit_time">'.$asr.'</td></tr>';
			if( $maghrib ) $widget_data .= '<tr class="mit_daily"><td class="mit_label">مغرب</td><td class="mit_time">'.$maghrib.'</td></tr>';
			if( $isha ) $widget_data .= '<tr class="mit_daily"><td class="mit_label">عشاء</td><td class="mit_time">'.$isha.'</td></tr>';
			if( $jumua1 ) $widget_data .= '<tr class="mit_jumua"><td class="mit_label">جمعہ ۱</td><td class="mit_time">'.$jumua1.'</td></tr>';
			if( $jumua2 ) $widget_data .= '<tr class="mit_jumua"><td class="mit_label">جمعہ ۲</td><td class="mit_time">'.$jumua2.'</td></tr>';
			if( $jumua3 ) $widget_data .= '<tr class="mit_jumua"><td class="mit_label">جمعہ ۳</td><td class="mit_time">'.$jumua3.'</td></tr>';
			if( $last_updated ) $widget_data .= '<tr><td colspan="2" class="mit_saved">یہ اوقات مندرجہ ذیل تاریخ کو محفوظ کیے گئے<br> '.$last_updated.'</td></tr>';
			$widget_data .= '</table>';
		// English
		} else if ($language == "English" || empty($language)) {
			$widget_data .= '<table><tr><th>Prayer</th><th>Time</th></tr>';
			if( $fajr ) $widget_data .= '<tr class="mit_daily"><td class="mit_label">Fajr</td><td class="mit_time">'.$fajr.'</td></tr>';
			if( $zuhr ) $widget_data .= '<tr class="mit_daily"><td class="mit_label">Zuhr</td><td class="mit_time">'.$zuhr.'</td></tr>';
			if( $asr ) $widget_data .= '<tr class="mit_daily"><td class="mit_label">Asr</td><td class="mit_time">'.$asr.'</td></tr>';
			if( $maghrib ) $widget_data .= '<tr class="mit_daily"><td class="mit_label">Maghrib</td><td class="mit_time">'.$maghrib.'</td></tr>';
			if( $isha ) $widget_data .= '<tr class="mit_daily"><td class="mit_label">Isha</td><td class="mit_time">'.$isha.'</td></tr>';
			if( $jumua1 ) $widget_data .= '<tr class="mit_jumua"><td class="mit_label">Jumua 1</td><td class="mit_time">'.$jumua1.'</td></tr>';
			if( $jumua2 ) $widget_data .= '<tr class="mit_jumua"><td class="mit_label">Jumua 2</td><td class="mit_time">'.$jumua2.'</td></tr>';
			if( $jumua3 ) $widget_data .= '<tr class="mit_jumua"><td class="mit_label">Jumua 3</td><td class="mit_time">'.$jumua3.'</td></tr>';
			if( $last_updated ) $widget_data .= '<tr><td colspan="2" class="mit_saved">Last saved<br> '.$last_updated.'</td></tr>';
			$widget_data .= '</table>';
		} // language if
			
		$widget_data .= $after_widget;

		
		if ($language == "Arabic") {
			echo '<div id="masjid-iqamah-timings-widget" dir="rtl">'.$widget_data.'</div>';
		} else if ($language == "Urdu") {
			echo '<div id="masjid-iqamah-timings-widget" class="urdu" dir="rtl">'.$widget_data.'</div>';
		} else {
			echo '<div id="masjid-iqamah-timings-widget">'.$widget_data.'</div>';
		}
		
				
	} // widget function
		
	
	
}
 
// register widget
add_action('widgets_init', create_function('', 'return register_widget("wp_masjid_iqamah_timings");'));


?>